com.oracle.truffle.object.debug

## Class ShapeProfiler

- java.lang.Object
- - com.oracle.truffle.object.debug.ShapeProfiler

    public class ShapeProfiler
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ShapeProfiler()`

### Method Summary

Methods
`void` `dump(java.io.PrintWriter out)`
`void` `dump(java.io.PrintWriter out, int topResults)`
`static ShapeProfiler` `getInstance()`
`void` `track(DynamicObject obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShapeProfiler

    public ShapeProfiler()

### Method Detail

#### track

    public void track(DynamicObject obj)

#### dump

    public void dump(java.io.PrintWriter out)

#### dump

    public void dump(java.io.PrintWriter out,
            int topResults)

#### getInstance

    public static ShapeProfiler getInstance()